List of mapped order statuses
Returns a list of order statuses from the CRM mapped to status types in Yandex Metrica.
Status types are required for matching order statuses to sessions and displaying statistics by status.
The session reports display status types predefined in Yandex Metrica. Custom status names will be available in the Users and customers — Customers report.
Request
GET
https://api-metrika.yandex.net/cdp/api/v1/counter/{counterId}/schema/order_statuses
Path parameters
|
Name |
Description |
|
counterId |
Type: integer Counter ID. |
Responses
200 OK
OK
Body
application/json
{
"order_statuses": [
{
"id": "example",
"humanized": "example",
"type": "example",
"goal_action_ids": [
"example"
],
"order_status_source": "example"
}
]
}
|
Name |
Description |
|
order_statuses |
Type: OrderStatus[] List of order statuses. Example
|
OrderStatus
Description of the OrderStatus object.
|
Name |
Description |
|
id |
Type: string Order status ID. Min length: Max length: Pattern: Example: |
|
type |
Type: string Status semantics:
Example: |
|
goal_action_ids |
Type: string[] Min items: Max items: Unique items: Example
|
|
humanized |
Type: string Order status name. Min length: Max length: Example: |
|
order_status_source |
Type: string Status source:
Example: |
Example
{
"id": "example",
"humanized": "example",
"type": "example",
"goal_action_ids": [
"example"
],
"order_status_source": "example"
}